
// -*- C++ -*-

// Interface for JGList type. See JGByte.h
//
// jhrg 1/12/95

#ifndef _jglist_h
#define _jglist_h 1

#ifndef __POWERPC__
#ifdef __GNUG__
#pragma interface
#endif
#endif

#include "List.h"

class JGList: public List {
public:
    JGList(const string &n = (char *)0, BaseType *v = 0);
    virtual ~JGList();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset);
};

/* 
 * $Log: JGList.h,v $
 * Revision 1.4.8.1  2003/06/26 09:22:14  rmorris
 * ifdef'd out usage of #pragma interface for OS_X.  That's not compatible
 * with dynamic typing under OS_X.
 *
 * Revision 1.4  2000/10/10 23:36:14  jimg
 * Added exception processing code.
 * Added throws to the read methods.
 * Changed the definition of read to match the dap library.
 * Moved CVS Log entries to the end of files.
 *
 * Revision 1.3  1999/05/05 04:38:00  brent
 * convert String.h code to new stanard lib <string>
 *
 * Revision 1.2  1996/09/17 00:02:16  jimg
 * Misc changes associated with merging branch code to the trunk.
 *
 * Revision 1.1.8.1.2.1  1996/06/26 22:18:00  jimg
 * Dans changes for 2.05.
 *
 * Revision 1.1  1995/02/16  19:02:08  dan
 * JGOFS sub-class definitions for List.h
 *
 * Revision 1.2  1995/01/19  21:59:40  jimg
 * Added read_val from dummy_read.cc to the sample set of sub-class
 * implementations.
 * Changed the declaration of readVal in BaseType so that it names the
 * mfunc read_val (to be consistant with the other mfunc names).
 * Removed the unnecessary duplicate declaration of the abstract virtual
 * mfuncs read and (now) read_val from the classes Byte, ... Grid. The
 * declaration in BaseType is sufficient along with the decl and definition
 * in the *.cc,h files which contain the subclasses for Byte, ..., Grid.
 *
 * Revision 1.1  1995/01/19  20:20:50  jimg
 * Created as an example of subclassing the class hierarchy rooted at
 * BaseType.
 *
 */

#endif

